北极寒流 » 网络资源 » wdcp V2安装失败的解决办法 - 2016.10.28

wdcp V2安装失败的解决办法

自从wdcp V3面板推出来后,好像即使wdcp V2有问题,官方也基本不会去解决了,毕竟是免费的面板,我们也不好去要求什么。

最近在VM虚拟机中安装了一个cenos虚拟系统,然后想安装一下wdcp V2面板,结果无论是编译安装还是RPM包安装,都出现PHP无法安装成功的问题,看报错是提示http://apt.sw.be/redhat/el5/en/失效,造成前置PHP配置失败(php configure err)。

解决办法,修改一下/etc/yum.repos.d下面4个文件,替换回去再重新安装即可。

  • mirrors-rpmforge
  • mirrors-rpmforge-extras
  • mirrors-rpmforge-testing
  • rpmforge.repo

1609231330fe878d7ec024d094
照图中四个划线的文件,把这个网址删掉,把最后那个文件放在最前面。
16092313310a661c309c4048b1

16100112340846be0fe5b237d6

凡是有http://apt.sw.be/redhat/el5/en这个网址的都用http://www.mirrorservice.org/sites/apt.sw.be/替换。
删除原先的安装的系统包括文件夹,重启后重新安装即可。

4个文件替换网址后,要注意替换后网址的后缀!
最后一个文件,要全部替换。
=====================================
如果没有配置好yum源,先配置好。我使用的是红帽子企业版 6.5
检测系统是否安装了yum包
# rpm -qa | grep yum
删除RHEL6.5原有的yum源
# rpm -qa|grep yum|xargs rpm -e --nodeps(不检查依赖,直接删除rpm包)
检查是否全部清除
# rpm -qa |grep yum
下载相关安装包
由于版本原因 安装包名可能会变化 所以自行下载以下软件包
# wget http://mirrors.163.com/centos/6/os/x86_64/Packages/python-urlgrabber-3.9.1-11.el6.noarch.rpm
# wget http://mirrors.163.com/centos/6/os/x86_64/Packages/python-iniparse-0.3.1-2.1.el6.noarch.rpm
# wget http://mirrors.163.com/centos/6/os/x86_64/Packages/yum-3.2.29-73.el6.centos.noarch.rpm
# wget http://mirrors.163.com/centos/6/os/x86_64/Packages/yum-metadata-parser-1.1.2-16.el6.x86_64.rpm
# wget http://mirrors.163.com/centos/6/os/x86_64/Packages/yum-plugin-fastestmirror-1.1.30-37.el6.noarch.rpm
安装yum软件包
# rpm -ivh python-iniparse-0.3.1-2.1.el6.noarch.rpm
# rpm -ivh yum-3.2.29-73.el6.centos.noarch.rpm yum-metadata-parser-1.1.2-16.el6.x86_64.rpm yum-plugin-fastestmirror-1.1.30-37.el6.noarch.rpm(提示 先删除 rpm -e python-urlgrabber-3.9.1-9.el6.noarch.rpm  ,再安装python-urlgrabber-3.9.1-11.el6.noarch.rpm)
更换yum源 使用163的源
#cd /etc/yum.repos.d/
#wget http://mirrors.163.com/.help/CentOS6-Base-163.repo
#vim CentOS6-Base-163.repo
把文件里面的$releasever全部替换为版本号,即6 最后保存!
清除原有缓存
#yum clean all
重建缓存,以提高搜索安装软件的速度
#yum makecache

========================================

同时安装过程中好像还会提示一个http://pkgs.repoforge.org/rpmforge-release/rpmforge-release-0.5.3-1.el6.rf.x86_64.rpm错误,可以尝试修改lanmp_laster.tar.gz压缩包中的lanmp.sh文件,可以替换为

ftp://ftp.pbone.net/mirror/apt.sw.be/redhat/el6/en/x86_64/rpmforge/RPMS/rpmforge-release-0.5.3-1.el6.rf.x86_64.rpm

或者其他的源,不过本人测试即使不理会这个错误,wdcp v2也可以安装成功,就不知道是否有其他影响。

修改好的文件下载

下面提供我修改好的4个文件,文件取自cenos 6.5 64位版,其他系统我不知道是否通用。

http://software8.ctfile.com/fs/lxD159678010

http://qiannao.com/file/jxyun99/27d0e8a3/

链接: http://pan.baidu.com/s/1c2canFM 密码: rjqu

https://mega.nz/#!jlpmkaQA!kb9LfFjv78epSo-ah_DOvaIFThUvPB6c9tktVJPwDpw

发表评论 【登录·注册】

所有留言都会被审核,请勿发布垃圾评论!

(必填)*